﻿* {
    --image-height: 0px;
    --image-width: 0px;
}


.card_image {
    overflow: hidden;
    position: relative;
    transition: height 2s ease;
    padding: 0px;
    margin: 0px;
    display: none !important;
}

    .card_image img {
        height: var(--image-height);
        width: var(var(--image-width));
    }

    .card_image.open {
        height: 400px;
    }

        .card_image.open img {
            display: block;
        }

.card-icons {
    width: 27px !important;
    height: 39px !important;
    font-size: large !important;
    margin: 2px;
}

.gif-size {
    height: 32px !important;
    width: 32px !important;
}

.button-icon {
    display: inline-flex !important;
    flex-direction: column;
    justify-content: center !important;
    align-items: center !important;
    text-align: center !important;
}

.multi-card-subtitle {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.image-btn {
    display: inline-block;
    visibility: visible;
}


@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }

    40% {
        transform: translateY(-15px);
    }

    60% {
        transform: translateY(-10px);
    }
}

.bounce {
    animation: bounce 3s;
}

.jts_card {
    width: 100% !important;
    padding: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    font-family: Arial, sans-serif;
    background-color: #e9ecef !important;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

    .jts_card .card-title {
        font-size: 1em;
        margin-bottom: 5px;
        font-weight: bold;
    }


.exhibitor-card,
.schedule-card {
    width: 100% !important;
    padding: 10px;
    border-radius: 10px;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}


.store-card {
    padding: 10px;
    transition: opacity 0.5s ease, transform 0.5s ease;
}

    .store-card[admin] {
        opacity: 0;
        padding: unset;
        transition: opacity 0.5s ease, transform 0.5s ease;
    }

    .store-card .card-title {
        font-size: 1em;
        margin-bottom: 5px;
        font-weight: bold;
    }

    .store-card:nth-child(even) {
        background-color: #ffffff; /* White */
    }

    .store-card:nth-child(odd) {
        background-color: #f2f2f2 !important; /* Slightly darker light gray */
    }

.jts-card-group {
    margin-left: 26px !important;
    margin-right: 26px !important;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    font-family: Arial, sans-serif;
    background-color: #e9ecef !important;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}


    .jts-card-group .card-title {
        font-size: 1em;
        margin-bottom: 5px;
        font-weight: bold;
    }

.fade-in {
    opacity: 1 !important;
    transform: translateY(0);
}



.card-sub {
    font-size: .9em;
    margin-bottom: 5px;
}

#product-info {
    margin-top: 5px;
}

#order-input-list {
    list-style-type: none;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-top: 0;
}

    #order-input-list li {
        padding: 2.5px 0;
        border-bottom: 1px solid #eee;
        font-size: .9em;
        flex: 1 1 30%;
    }


.dropdown-menu-bonus {
    position: relative;
    z-index: 100 !important; /* Ensure the dropdown menu appears over everything */
}



#product-info-list li strong,
#order-input-list li strong {
    display: inline-block;
    width: 15ch; /* Adjust width as needed */
}

hr {
    padding: 2px;
    margin: 0;
}

.image_button {
    border: none;
    background-color: transparent;
}

.floating-size {
    height: 60px;
}


/*1000px bc we use modal-lg for the main card*/
@media (max-width: 1000px) {
    .exhibitor-card #description,
    .promo-card #description {
        max-height: 5rem;
        overflow-y: scroll;
    }
}
